<?php

add_action('cmb2_admin_init', 'setup_theme');

if (!function_exists('setup_theme')) {
    function setup_theme()
    {


        $cmb_options = new_cmb2_box(array(
            'id' => 'alt_setup',
            'title' => 'Configurações do tema Altimus',
            'object_types' => array('options-page'),
            'option_key' => 'alt_group_setup', // The option key and admin menu page slug.
            'icon_url' => 'dashicons-palmtree', // Menu icon. Only applicable if 'parent_slug' is left empty.

        ));


        $cmb_options->add_field(array(

            'before_row' => '<br/><hr/><h2>Configurações do TEMA </h2>',
            'name' => 'Exibir destaques da Semana',
            'desc' => 'Exibir na página Home os veículos destaques da Semana',
            'id' => 'destaques_da_semana',
            'type' => 'select',
            'default' => 'nao',
            'options' => array(
                'sim' => 'Sim',
                'nao' => 'Não',
            ),
        ));


        $cmb_options->add_field(array(
            'before_row' => '<br/><h2>Sessão - Sobre (Home)</h2>',
            'name' => 'Exibir página sobre',
            'desc' => '',
            'id' => 'exibir_sobre',
            'type' => 'select',
            'default' => 'nao',
            'options' => array(
                'sim' => 'Sim',
                'nao' => 'Não',
            ),
        ));

        $content_sobre = "<div class=\"section-header text-center\">
<h2>About to Client</h2>
There are many variations of passages of Lorem Ipsum available, but the majority have suffered
alteration in some form, by injected humour, or randomised words which don't look even slightly
believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn't
anything embarrassing hidden in the middle of text.

</div>";;


        $cmb_options->add_field(array(
            'name' => 'Conteúdo do setor sobre',
            'desc' => '',
            'id' => 'content_sobre',
            'type' => 'wysiwyg',
            'default' => $content_sobre,
            'options' => array(),
        ));
    }
}

if (!function_exists('get_content_sobre')) {
    function get_content_sobre()
    {
        $dados = get_option('alt_group_setup');
        return html_entity_decode($dados['content_sobre']);
    }
}

if (!function_exists('get_mostrar_sobre')) {
    function get_mostrar_sobre()
    {
        $dados = get_option('alt_group_setup');
        return $dados['exibir_sobre'] == 'sim' ? true : false;
    }
}

if (!function_exists('get_exibir_destaques_da_semana')) {
    function get_exibir_destaques_da_semana()
    {
        $dados = get_option('alt_group_setup');

        if (!isset($dados['destaques_da_semana'])) {
            return true;
        }
        return $dados['destaques_da_semana'] == 'sim' ? true : false;
    }
}
