<?php

class alt_caracteristicas extends WP_Widget
{
    function __construct()
    {
        parent::__construct(

        // Base ID of your widget
            'alt_caracteristicas',

            // Widget name will appear in UI
            'Altimus - Caracteristicas do veículo',

            // Widget description
            array(
                'description' => 'Definições de um determinado veículo.',
            )
        );


    }

    public function widget($args, $instance)
    {
        $titulo = $instance['titulo'] ?? '';
        $mensagem = $instance['mensagem'] ?? '';
        $check_list = $instance['check_list'] ?? [];
        $arrCaracteristicas = $this->getCaracteristicas();
        $produto_id = $_SESSION['showProduct'];
        ?>

        <aside class="sidebar">
            <section class="widget">
                <h3 class="widget-title"><?= $titulo ?></h3>
                <div class="decor-1">
                </div>
                <div class="widget-content">
                    <?php if (!empty($mensagem)) {
                        echo $mensagem;
                        echo '<div class="decor-1"></div>';
                    }
                    ?>


                    <dl class="list-descriptions list-unstyled">

                        <?php foreach ($check_list as $chave): ?>

                            <?php
                            $valor = get_post_meta($produto_id, $chave, true);


                            if ($chave == 'alt_modelo') {
                                $arrTerm = get_the_terms($produto_id, 'modelo', true);
                                if (empty($arrTerm)) {
                                    $valor = 'Não definido';
                                } else {
                                    $valor = $arrTerm[0]->name;
                                }

                            }
                            if ($chave == 'alt_marca') {
                                $arrTerm = get_the_terms($produto_id, 'marca', true);
                                if (empty($arrTerm)) {
                                    $valor = 'Não definido';
                                } else {
                                    $valor = $arrTerm[0]->name;
                                }
                            }


                            ?>

                            <dt><?php echo $arrCaracteristicas[$chave] ?>:</dt>
                            <dd><?= $valor; ?></dd>
                        <?php endforeach; ?>

                    </dl>
                </div>
            </section>
        </aside>


        <?php

    }

    private function getCaracteristicas()
    {
        return array(
            'alt_kilometragem' => 'Quilometragem',
            'alt_cambio' => 'Câmbio',
            'alt_ano_mod' => 'Ano modelo',
            'alt_combustivel' => 'Combustível',
            'alt_marca' => 'Marca',
            'alt_modelo' => 'Modelo',
            'alt_modelo_complemento' => 'Modelo complemento',
            'alt_ano_fab' => 'Ano fabricação',
            'alt_cor' => 'Cor',
            'alt_portas' => 'Porta',
        );
    }

    public function form($instance)
    {
        $titulo = isset($instance['titulo']) ? esc_attr($instance['titulo']) : '';
        $mensagem = isset($instance['mensagem']) ? esc_attr($instance['mensagem']) : '';
        $check_list = isset($instance['check_list']) ? $instance['check_list'] : [];
        $arrCaracteristicas = $this->getCaracteristicas();


        ?>


        <p>
            <label for="<?php echo $this->get_field_id('titulo'); ?>">
                <?php _e('Titulo'); ?>
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('titulo'); ?>"
                   name="<?php echo $this->get_field_name('titulo'); ?>"
                   value="<?php echo esc_attr($titulo); ?>"
                   type="text"
            />
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('mensagem'); ?>">
                <?php _e('Mensagem'); ?>
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('mensagem'); ?>"
                   name="<?php echo $this->get_field_name('mensagem'); ?>"
                   value="<?php echo esc_attr($mensagem); ?>"
                   type="text"
            />
        </p>


        <p>
            <label>Quais informações deseja exibir?</label>

        <hr/>

        <?php foreach ($arrCaracteristicas as $value => $descricao): ?>
        <input
                class="checkbox"
                type="checkbox"
                name="<?php echo $this->get_field_name('check_list'); ?>[]"
                value="<?php echo $value; ?>"
            <?php echo (in_array($value, $check_list)) ? 'checked' : '' ?>
        >

        <?= $descricao ?>
        <br/>
    <?php endforeach; ?>
        </p>


        <?php

    }

    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['titulo'] = strip_tags($new_instance['titulo']);
        $instance['mensagem'] = strip_tags($new_instance['mensagem']);
        $instance['check_list'] = $new_instance['check_list'];


        return $instance;

    }
}
