<?php

class alt_widget_marcas_sidebar extends WP_Widget
{
    function __construct()
    {
        parent::__construct(

        // Base ID of your widget
            'alt_widget_marcas_sidebar',

            // Widget name will appear in UI
            __('Altimus - Filtrar por marcas', 'alt_widget_marcas_sidebar'),

            // Widget description
            array(
                'description' => 'Permite a seleção veículos por marca ',
            )
        );


    }

    public function widget($args, $instance)
    {


        $titulo = $instance['title'] ?? 'Fale conosco';
        $marcas = isset($instance['sn_todos']) ? esc_attr($instance['sn_todos']) : '';

        $arrMarcas = $this->buscarMarcas($marcas);

        ?>
        <aside class="sidebar">
            <section class="widget">
                <h3 class="widget-title"><?= $titulo ?></h3>
                <div class="decor-1">
                </div>
                <div class="widget-content lista_marcas">
                    <div class="row">
                        <?php foreach ($arrMarcas as $marca): ?>
                            <div class="col-md-4 col-xs-4" style="padding: 10px;min-height: 80px;">
                                <a href="<?= $marca['url_estoque'] ?>" class="text-center lista_marcas_item">

                                    <img
                                            class="img-responsive"
                                            src="<?= $marca['img'] ?>"
                                            width="130"
                                            alt="<?= $marca['nome'] ?> - <?= $marca['slug'] ?>"
                                            style="margin: auto;padding: 5px 0px;"

                                    >


                                </a>
                            </div>
                        <?php endforeach; ?>
                    </div>


                </div>
            </section>
        </aside>


        <?php

    }

    private function buscarMarcas($sn_mostrar_todos)
    {
        $sn_mostrar = false;
        if ($sn_mostrar_todos == 'on') {
            $sn_mostrar = true;
        };

        $categories = get_terms(['taxonomy' => 'marca', 'hide_empty' => $sn_mostrar]);

        $arrRetorno = [];
        foreach ($categories as $categoria) {


            $info['nome'] = $categoria->name;
            $info['slug'] = $categoria->slug;
            $info['id'] = $categoria->term_id;
            $info['url'] = get_term_link($categoria->term_id, 'marca');
            $info['url_estoque'] = alt_get_url_estoque() . '?marca=' . $categoria->slug;
            $info['img'] = get_term_meta($categoria->term_id, 'marca_img', true);


            $arrRetorno[] = $info;
        }

        return $arrRetorno;
    }

    public function form($instance)
    {
        $title = isset($instance['title']) ? esc_attr($instance['title']) : '';
        $sn_todos = $instance['sn_todos'] == 'on' ? true : false;


        ?>

        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>">
                <?php _e('Title:'); ?>
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>"
                   name="<?php echo $this->get_field_name('title'); ?>"
                   value="<?php echo esc_attr($title); ?>"
                   type="text"
            />
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('sn_todos'); ?>">
                Mostrar apenas marcas com veículo cadastrado.
            </label>


            <input class="widefat" id="<?php echo $this->get_field_id('sn_todos'); ?>"
                   name="<?php echo $this->get_field_name('sn_todos'); ?>"
                   type="checkbox"
                <?= $sn_todos ? 'checked' : '' ?>
            />
        </p>


        <?php

    }


    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['sn_todos'] = strip_tags($new_instance['sn_todos']);

        return $instance;

    }
}
